Project

General

Profile

Bug #12556

backport r55579 (Net::FTP should raise error when CR/LF in a line)

Added by nagachika (Tomoyuki Chikanaga) about 3 years ago. Updated about 3 years ago.

Status:
Closed
Priority:
Normal
Target version:
-
[ruby-core:76274]

Description

Let's treat r55579 as a bugfix and backport into stable branches.

Associated revisions

Revision 9bfab3c1
Added by usa (Usaku NAKAMURA) about 3 years ago

merge revision(s) 55579: [Backport #12556]

    * lib/net/ftp.rb (putline): raise an ArgumentError when
      CR or LF is included in a line.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@55873 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 55873
Added by usa (Usaku NAKAMURA) about 3 years ago

merge revision(s) 55579: [Backport #12556]

* lib/net/ftp.rb (putline): raise an ArgumentError when
  CR or LF is included in a line.

Revision 94231bdf
Added by nagachika (Tomoyuki Chikanaga) about 3 years ago

merge revision(s) 55579: [Backport #12556]

    * lib/net/ftp.rb (putline): raise an ArgumentError when
      CR or LF is included in a line.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@55911 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 55911
Added by nagachika (Tomoyuki Chikanaga) about 3 years ago

merge revision(s) 55579: [Backport #12556]

* lib/net/ftp.rb (putline): raise an ArgumentError when
  CR or LF is included in a line.

History

Updated by usa (Usaku NAKAMURA) about 3 years ago

  • Backport changed from 2.1: REQUIRED, 2.2: REQUIRED, 2.3: REQUIRED to 2.1: REQUIRED, 2.2: DONE, 2.3: REQUIRED

ruby_2_2 r55873 merged revision(s) 55579.

Updated by nagachika (Tomoyuki Chikanaga) about 3 years ago

  • Backport changed from 2.1: REQUIRED, 2.2: DONE, 2.3: REQUIRED to 2.1: REQUIRED, 2.2: DONE, 2.3: DONE

ruby_2_3 r55911 merged revision(s) 55579.

Also available in: Atom PDF